Create an archive from a backup for a WordPress installation
POST /installs/{install_id}/archives
Creates a downloadable zip archive from a backup point. Archive will contain full backup data.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”ID of install
Request Body
Section titled “Request Body ”Properties
- backup_id - required - ID of the backup to create an archive from
- notification_emails - required - An Array of email address(es) that will receive an email once the archive is created
object
ID of the backup to create an archive from
Example
e41fa98f-ea80-4654-b229-a9b765d0863aThe email address(es) that will receive an email once the archive is created
Example
[ "user@example.com"]Responses
Section titled “ Responses ”Accepted
Bad Request
object
A message regarding the error that occurred on the server
Example
Invalid Site: Name cannot be empty.(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
Example
Site(Optional) The specific field associated with the error
Example
name(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
Example
invalid_value(Optional) A machine code relating to the error that occurred with the field and resource
Example
too_long(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
Name is too long (maximum is 40 characters)Authentication Error
object
A message regarding the error that occurred on the server
Example
Bad Credentials(Optional) A URL where documentation regarding this specific error can be found
Not authorized
object
A message regarding the error that occurred on the server
Example
You don't have permission to perform that action(Optional) A URL where documentation regarding this specific error can be found
Not found
object
A message regarding the error that occurred on the server
Example
Not Found(Optional) A URL where documentation regarding this specific error can be found
Too many requests
Internal Server Error
object
A message regarding the error that occurred on the server
Example
An unexpected error occurred, please try again in a few minutesAn invalid response was received from an upstream server
Service unavailable